function RegisterModuleFirstPage()
{
  // 介面
  this.RedisplayUi       = function(){RegisterModuleFirstPage.prototype._RedisplayUi_();};
  //建立資料
  var BuildRegisterModuleAllObject = function(that){RegisterModuleFirstPage.prototype._BuildRegisterModuleAllObject_(that);};
  var BuildRegisterModuleObject = function(ModuleName, number){RegisterModuleFirstPage.prototype._BuildRegisterModuleObject_(ModuleName, number);};

  //載入 暫不需要
  var LoadLanName = function(){RegisterModuleFirstPage.prototype._LoadLanName_();};
  var LoadIcpdasModule = function(){RegisterModuleFirstPage.prototype._LoadIcpdasModule_();};
  //初始化
  var InitializationGlobalVariable = function(){RegisterModuleFirstPage.prototype._InitializationGlobalVariable_();};
  this.Initialization = function(){RegisterModuleFirstPage.prototype._Initialization_();};
  //取值
  var GetAllNumber = function(){return RegisterModuleFirstPage.prototype._GetAllNumber_();};
  // 編碼
  var DeleteRepeatNumber = function(number){RegisterModuleFirstPage.prototype._DeleteRepeatNumber_(number);};
  var UpdateNumber = function(ObjectKey){RegisterModuleFirstPage.prototype._UpdateNumber_(ObjectKey);};
  // 按鈕
  this.ModuleAddNewRow = function(that){RegisterModuleFirstPage.prototype._ModuleAddNewRow_(that);};
  this.EditButton = function(that){RegisterModuleFirstPage.prototype._EditButton_(that);};
  this.SaveButton = function(that){RegisterModuleFirstPage.prototype._SaveButton_(that);};

  // 檢查
  this.CheckModuleName = function(that){RegisterModuleFirstPage.prototype._CheckModuleName_(that);};
  var CheckTcpModuleQuantity = function(){return RegisterModuleFirstPage.prototype._CheckRegisterModuleQuantity_();};
  // 判斷
  this.IsTickedModule = function(){return RegisterModuleFirstPage.prototype._IsTickedModule_();};
  //對話框
  this.CopyDialogEnabled  = function(Event){RegisterModuleFirstPage.prototype._CopyDialogEnabled_(Event);};
  // 複製
  this.CopyModule = function(){RegisterModuleFirstPage.prototype._CopyModule_();};
  var CopyTickedModule   = function(){RegisterModuleFirstPage.prototype._CopyTickedModule_();};
  var CopyGlobalVariable = function(number){RegisterModuleFirstPage.prototype._CopyGlobalVariable_(number);};
  //表格
  this.CopyDialogDisabled = function(){RegisterModuleFirstPage.prototype._CopyDialogDisabled_();};
  // 移除
  this.ClearAllModule = function(that){RegisterModuleFirstPage.prototype._ClearAllModule_(that);};
  this.DeleteModule  = function(){RegisterModuleFirstPage.prototype._DeleteModule_();};
  var RemoveGlobalVariable = function(DeviceName){RegisterModuleFirstPage.prototype._RemoveGlobalVariable_(number);};
  var RemoveTickedModule = function(){RegisterModuleFirstPage.prototype._RemoveTickedModule_();};
  // 表格
  this.ClearDialogEnabled  = function(Event){RegisterModuleFirstPage.prototype._ClearDialogEnabled_(Event);};
  this.ClearDialogDisabled = function(){RegisterModuleFirstPage.prototype._ClearDialogDisabled_();};
  // 工具列
  this.ShowPreviousPage  = function(){RegisterModuleFirstPage.prototype._ShowPreviousPage_();};
  this.ShowNextPage      = function(){RegisterModuleFirstPage.prototype._ShowNextPage_();};
  // 儲存
  this.SaveDataLayerAndServiceLayerVariables = function(Result){return RegisterModuleFirstPage.prototype._SaveDataLayerAndServiceLayerVariables_(Result);};
  var SaveModuleSetting = function(Result){RegisterModuleFirstPage.prototype._SaveModuleSetting_(Result);};
  var SaveConvertSetting = function(Result){RegisterModuleFirstPage.prototype._SaveConvertSetting_(Result);};

}
function RegisterModuleSecondPage()
{
  // 刪除
  this.DeleteTableButton = function(Event){RegisterModuleSecondPage.prototype._DeleteTableButton_(Event);};
  // 表格
  this.DeleteButton = function(that){RegisterModuleSecondPage.prototype._DeleteButton_(that);};
  this.ProduceTable        = function(that){RegisterModuleSecondPage.prototype._ProduceTable_(that);};
  var GetSettingFormValue = function(){return RegisterModuleSecondPage.prototype._GetSettingFormValue_();};
  var CreateTable         = function(that){RegisterModuleSecondPage.prototype._CreateTable_(that);};
  var GetVariableTableRowData         = function(that){RegisterModuleSecondPage.prototype._GetVariableTableRowData_();};
  var GetStartAddress         = function(that){RegisterModuleSecondPage.prototype._GetStartAddress_();};
  var GetMaxAddress         = function(that){RegisterModuleSecondPage.prototype._GetMaxAddress_();};
  var CreateRowTable         = function(index){RegisterModuleSecondPage.prototype.CreateRowTable(index);};
  var AddRowVariableTable        = function(ObjectKey, number){RegisterModuleSecondPage.prototype._AddRowVariableTable_(ObjectKey, number);};

  // 介面
  var ClearForm = function(){RegisterModuleSecondPage.prototype._ClearForm_();};
  //同步服務
  var SynchronizeOtherServiceData = function(number){RegisterModuleSecondPage.prototype._SynchronizeOtherServiceData_(number);};
  var InitialMqttToOpcuaEmptyObject = function(object, number){RegisterModuleSecondPage.prototype._InitialMqttToOpcuaEmptyObject_(object, number);};
  var ArrayInteraction = function(FirstArray, SecondArray){RegisterModuleSecondPage.prototype._ArrayInteraction_(FirstArray, SecondArray);};
  var RetainRegisterToOpcuaData = function(object, number){RegisterModuleSecondPage.prototype._RetainRegisterToOpcuaData_(object, number);};

  // 全域變數 或 物件
  var SetFormInitialValue = function(number){RegisterModuleSecondPage.prototype._SetFormInitialValue_(number);};
  var BuildRegisterSettingObject  = function(that){RegisterModuleSecondPage.prototype._BuildRegisterSettingObject_(that);};
  var BuildTcpVariableObject = function(that){RegisterModuleSecondPage.prototype._BuildRegisterVariableObject_(that);};
  var GetObjFlag = function(DataAttribute, DataType, DataNumber){RegisterModuleSecondPage.prototype._GetObjFlag_(DataAttribute, DataType, DataNumber);};
  // 按鈕
  this.NoConfirmButton = function(){RegisterModuleSecondPage.prototype._NoConfirmButton_();};
  this.ConfirmButton = function(that){RegisterModuleSecondPage.prototype._ConfirmButton_(that);};
  // 檢查
  this.CheckModuleName = function(that){RegisterModuleSecondPage.prototype._CheckModuleName_(that);};
  this.CheckDataNumber = function(that){RegisterModuleSecondPage.prototype._CheckDataNumber_(that);};//正整數
  this.CheckVariableName = function(that){RegisterModuleSecondPage.prototype._CheckVariableName_(that);}; 

  //取得
  var GetTableVariableName = function(){RegisterModuleSecondPage.prototype._GetTableVariableName_();};
  //判斷
  var IsNameFormat = function(Name){RegisterModuleSecondPage.prototype._IsNameFormat_(Name);};
  var IsNameRepeat = function(AllName, Name){RegisterModuleSecondPage.prototype._IsNameRepeat_(AllName, Name);};
  var CreateVariableEmptyObject = function(number){return RegisterModuleSecondPage.prototype._CreateVariableEmptyObject_(number);};
}